## python-gobject 2.8.6-0ig1

=== debian/changelog ===
python-gobject (2.8.6-0ig1) stable; urgency=low

  * meta package holding dependency for pygtk

 -- Guido S. Nickels <gn@intergenia.de>  Tue, 31 Mar 2009 23:14:45 +0200
