=== debian/control ===
Source: python-gobject
Section: libs
Priority: optional
Maintainer: Guido S. Nickels <gn@intergenia.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: python-gobject
Architecture: all
Depends: python-gtk2
Description: meta-package holding dependencies for landscape
 This is just a dummy package to solve pygobject dependency for
 ubuntu's landscape client.
