=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# exim4 configuration packages build script


### global

export DH_OPTIONS

#export DH_VERBOSE=1

ifndef DESTDIR
DESTDIR = ..
endif

### cleanup

clean:
	dh_testdir
	dh_testroot
	dh_clean 

### install

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_installdebconf -i -n
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i --destdir=$(DESTDIR)

binary: binary-indep

install-indep: install-pygobject

install: install-indep

install-pygobject:
	dh_testdir
	dh_testroot
	dh_installdirs

.PHONY: clean binary-indep binary install
