=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

p_base=$(PYTHON)-gobject
p_dev=$(p_base)-dev

d_base=debian/$(p_base)
d_dev=debian/$(p_dev)

ifeq ($(DEB_BUILD_ARCH),armel)
    CFLAGS=-Os -mthumb -mfloat-abi=softfp -Wall -Wstrict-prototypes
else
    CFLAGS=-Os -Wall -Wstrict-prototypes
endif

clean:
	dh_clean
	rm -rf build
	rm -rf $(CURDIR)/$(d_base)
	rm -rf $(CURDIR)/$(d_dev)
	find . -name "*.py[co]" | xargs rm -f
	rm -f configure
	rm -f *-stamp

build: build-stamp
build-stamp:
	dh_testdir

	mkdir -p build
	automake
	autoconf
	cd build && \
	CFLAGS="$(CFLAGS)" \
	PYTHON=`which $(PYTHON)` \
		../configure \
			--prefix=/usr \
			--enable-thread \
			--disable-numpy \
			--disable-docs
	$(MAKE) -C build
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	mkdir -p $(CURDIR)/$(d_base)
	mkdir -p $(CURDIR)/$(d_dev)

	$(MAKE) -C build install DESTDIR=$(CURDIR)/$(d_base)
	$(PYTHON) -OO -m compileall -f $(d_base)
	cp -a $(d_base)/* $(d_dev)

	# base
	find $(d_base)/usr/lib/$(PYTHON)/site-packages -type f -name "*.py"  | xargs rm -f
	find $(d_base)/usr/lib/$(PYTHON)/site-packages -type f -name "*.pyc" | xargs rm -f
	find $(d_base)/usr/lib/$(PYTHON)/site-packages -type f -name "*.la"  | xargs rm -f

	rm -rf $(d_base)/usr/share \
	       $(d_base)/usr/include \
	       $(d_base)/usr/lib/pkgconfig

	# dev
	find  $(d_dev)/usr/lib/$(PYTHON)/site-packages -type f -name "*.pyo" | xargs rm -f
	find  $(d_dev)/usr/lib/$(PYTHON)/site-packages -type f -name "*.so" | xargs rm -f
	rm -rf $(d_dev)/usr/lib/$(PYTHON)/site-packages/pygtk.pth

	# cleanup
	find $(d_base) $(d_dev) -name ".svn" | xargs rm -rf

	# Replace all '#!' calls to python with $(PYTHON)
	for i in `find $(d_base) $(d_dev) -type f`; do \
	  sed "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/$(PYTHON)," \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

binary: binary-arch binary-indep
binary-indep: install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -p$(p_dev) ChangeLog 
	dh_installdocs -p$(p_dev)
	dh_installexamples -p$(p_dev)
	dh_strip
	dh_compress -p$(p_dev) -Xexamples -X.py
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary install
